Subject: bug#26634: 26.0.50; The network security manager doesn't understand IDNA domains

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 15 Apr 2018 15:58:51 +0200

Robert Pluim <[email-masked]> writes:

>> It displays https://xn--80ak6aa92e.com/ in the address bar.  Which
>> is...  I guess...  a choice.
>
> I donʼt mind that. Itʼs better than displaying the homograph.

Well...  If you have an all-Cyrillic URL, then you should be able to
handle that as a normal domain, otherwise all this IDNA stuff is just
nonsense, and we'll never leave ASCII domains.  Firefox does the same as
Emacs currently does, and Chrome doesn't.

So I think I'll close this bug report and we can revisit the issue if an
industry "best practice" is ever established.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no